//
//  OPPCheckoutProvider+UI.h
//  OPPWAMobile
//
//  Created by Teploukhova, Alisa on 16/04/2018.
//  Copyright © 2018 ACI Worldwide. All rights reserved.
//

@import UIKit;
@import SafariServices;
#import "OPPCheckoutProvider.h"
@class OPPRootViewController;
@class OPPToken;

NS_ASSUME_NONNULL_BEGIN
@interface OPPCheckoutProvider (UI) <SFSafariViewControllerDelegate>

/** Returns details view controller for payment brand */
- (nullable OPPRootViewController *)cpu_detailsViewControllerWithPaymentBrand:(nonnull NSString *)paymentBrand;

/** Returns details view controller for payment brand with token if needed, otherwise nil */
- (nullable OPPRootViewController *)cpu_detailsViewControllerWithPaymentBrand:(nonnull NSString *)paymentBrand token:(nullable OPPToken *)token;

/** Returns details view controller for payment brand with token and  transaction if needed, otherwise nil */
- (nullable OPPRootViewController *)cpu_detailsViewControllerWithPaymentBrand:(nonnull NSString *)paymentBrand token:(nullable OPPToken *)token transaction:(nullable OPPTransaction *)transaction;

/// :nodoc:
- (BOOL)cpu_copyAndPayOverrideForBrand:(nonnull NSString *)brand;

/// :nodoc:
- (nonnull NSString *)cpu_instantPayCountry;

/** Returns NO if payment method selection screen should be skipped, otherwise NO */
+ (BOOL)cpu_shouldEnablePaymentMethodSelectionScreen;

@end
NS_ASSUME_NONNULL_END
